org.apache.datasketches.pig.quantiles

## Class GetQuantileFromStringsSketch

- java.lang.Object
- - org.apache.pig.EvalFunc<String>
  - - org.apache.datasketches.pig.quantiles.GetQuantileFromStringsSketch

    public class GetQuantileFromStringsSketch
    extends org.apache.pig.EvalFunc<String>

This UDF is to get a quantile value from an ItemsSketch<String>. A single value for a given fraction is returned. The fraction represents a normalized rank and must be from 0 to 1 inclusive. For example, the fraction of 0.5 corresponds to 50th percentile, which is the median value of the distribution (the number separating the higher half of the probability distribution from the lower half).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`GetQuantileFromStringsSketch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `exec(org.apache.pig.data.Tuple input)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetQuantileFromStringsSketch

    public GetQuantileFromStringsSketch()

### Method Detail

#### exec

    public String exec(org.apache.pig.data.Tuple input)
                throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<String>`
Throws:
  `IOException`